------------------------------------------------------------------------------
--  Ada95 Interface to Oracle RDBMS                                         --
--  Copyright (C) 2000-2001 Dmitriy Anisimkov.                              --
--  License text and authors contact information could be found in oci.ads  --
------------------------------------------------------------------------------
with OCI.Thread;
package body OCI.Thick.Gen_OCINumber is

   --------------------
   -- Unary_Operator --
   --------------------

   function Unary_Function(from : OCINumber) return OCINumber is
     Result : aliased OCINumber;
     rc : sword := OCINumberOper(Thread.Error,From,Result'Access);
   begin
     Check_Error(rc);
     return Result;
   end;
   
   ---------------------
   -- Binary_Operator --
   ---------------------

   function Binary_Function (Left,Right : OCINumber) return OCINumber is
     Result : aliased OCINumber;
     rc : sword := OCINumberOper(Thread.Error,Left,Right,Result'Access);
   begin
     Check_Error(rc);
     return Result;
   end;
   

end OCI.Thick.Gen_OCINumber;

