with OCI.Thick.Connections;
with OCI.Thick.Statements;
with Text_IO;
with OCI.Lib;
with OCI.Thick.Strings;
with Ada.Strings.Fixed;
with Interfaces.C;
with Ada.Exceptions;
with GNAT.Traceback.Symbolic;
procedure dyn is
  use OCI.Thick;
  use OCI.Thick.Connections;
  use OCI.Thick.Statements;
  use Interfaces.C;
  use OCI.Thick.Strings;
  use Ada.Strings.Fixed;
  
  Connect : Connection := Logon ("scott/tiger");
  Stmt : Statement := Prepare (Connect, 
          "begin if false then :result1 := nvl(:result1, 'eeeeeeeeeeeee'); end if;" &
       " end;");
       
  Result1 : Var_Type;
   procedure Show_Result
   is
   begin
      if Is_Null (Result1) then
         Text_IO.Put_Line ("Result1 is null");
      else
         Text_IO.Put_Line ("Result1 " & Value (Result1) & ';');
      end if;
   end;
begin

   Bind (Stmt, Result1, "result1");

   Text_IO.Put_Line ("binded");

   Set_Value (Result1, 2 * "aBcDeFgH." & "=_");

   Text_IO.Put ("execute");
   Execute (Stmt);
   Text_IO.Put_Line ("d");
   Show_Result;

   Clear_Value (Result1);
   Text_IO.Put ("execute");
   Execute (Stmt);
   Text_IO.Put_Line ("d");
   Show_Result;
exception
   when E : others =>
      Text_IO.Put_Line(Ada.Exceptions.Exception_Information(E));
      Text_IO.Put_Line("----------");
      Text_IO.Put_Line(GNAT.Traceback.Symbolic.Symbolic_Traceback(E));
end dyn;