------------------------------------------------------------------------------
--  Thin Ada95 binding to OCI (Oracle Call Interface)                    --
--  Copyright (C) 2000-2002 Dmitriy Anisimkov.                              --
--  License agreement and authors contact information are in file oci.ads   --
------------------------------------------------------------------------------

--  $Id$

with OCI.Thick.Lobs;

package OCI.Thick.Binds.Lob is

   use OCI.Thick.Lobs;

   type Bind_Lob is new Abstract_Bind with private;
   
   procedure Bind (Stmt : Statement; 
            Var : in out Bind_Lob;
            Value : in   Lobs.Lob;
            Name : String);
   
   function Get_Lob (Var : Bind_Lob) return Lobs.Lob;
   
private

   type Bind_Lob is new Abstract_Bind with record
      Loc : Lobs.Lob;
   end record;
        
end OCI.Thick.Binds.Lob;